Esc
Tracklytic
AnleitungenAPI-ReferenzSDKsChangelogTracklytic öffnen

Insight abrufen

View as MarkdownThe page as plain text

Insights im Projekt per Benutzerzugriff verwalten.

GET/v1/insight/insight?project=my-project&title=ActiveUsers

Authentifizierung: Benutzer-Access-JWT mit Projektzugriff.

Query-Parameter

project ist der Projekt-Slug. title ist erforderlich und identifiziert den Eintrag.

Antwort

HTTP 200 mit dem Eintrag. Ein API-Token berechtigt nur zu den dokumentierten Schreibzugriffen.

Request

curl -X GET 'https://api.tracklytic.de/v1/insight/insight?project=my-project&title=ActiveUsers' \
  -H "Authorization: Bearer $TRACKLYTIC_ACCESS_TOKEN"
const response = await fetch("https://api.tracklytic.de/v1/insight/insight?project=my-project&title=ActiveUsers", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.TRACKLYTIC_ACCESS_TOKEN}`
  }
});

if (!response.ok) throw new Error(await response.text());
const result = await response.json();
import json
import os
from urllib.request import Request, urlopen

request = Request(
    "https://api.tracklytic.de/v1/insight/insight?project=my-project&title=ActiveUsers",
    method="GET",
    headers={
        "Authorization": "Bearer " + os.environ["TRACKLYTIC_ACCESS_TOKEN"]
    }
)

with urlopen(request) as response:
    result = json.load(response)